Bug 158313 - [NEW PORT] www/rubygem-typhoeus (Parallel HTTP request library)
Summary: [NEW PORT] www/rubygem-typhoeus (Parallel HTTP request library)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-26 15:10 UTC by Eric Freeman
Modified: 2011-10-02 18:30 UTC (History)
0 users

See Also:


Attachments
file.shar (1.87 KB, text/plain)
2011-06-26 15:10 UTC, Eric Freeman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Freeman 2011-06-26 15:10:01 UTC
Simple port of this parallel HTTP request library Ruby gem

How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2011-06-26 15:10:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2011-06-29 04:51:15 UTC
Responsible Changed
From-To: ruby->pgollucci

I will take it.
Comment 3 Steve Wills freebsd_committer 2011-10-02 04:45:40 UTC
Responsible Changed
From-To: pgollucci->swills

hopefully pgollucci won't mind if i take care of this for him
Comment 4 Steve Wills freebsd_committer 2011-10-02 18:24:00 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2011-10-02 18:24:09 UTC
swills      2011-10-02 17:23:55 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/rubygem-typhoeus Makefile distinfo pkg-descr 
  Log:
  Typhoeus runs HTTP requests in parallel while
  cleanly encapsulating handling logic.
  
  It's a library for accessing web services in Ruby,
  specifically designed for building RESTful service
  oriented architectures in Ruby that need to be fast
  enough to process calls to multiple services within
  the client's HTTP request/response life cycle.
  
  WWW: https://github.com/dbalatero/typhoeus
  
  PR:             ports/158313
  Submitted by:   Eric Freeman <freebsdports@chillibear.com>
  
  Revision  Changes    Path
  1.2989    +1 -0      ports/www/Makefile
  1.1       +23 -0     ports/www/rubygem-typhoeus/Makefile (new)
  1.1       +2 -0      ports/www/rubygem-typhoeus/distinfo (new)
  1.1       +10 -0     ports/www/rubygem-typhoeus/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"